# Servian Tech Test

[![Build Status][circleci-badge]][circleci]
[![Release][release-badge]][release]
[![GoReportCard][report-badge]][report]
[![License][license-badge]][license]

[circleci-badge]: https://circleci.com/gh/servian/TechTestApp.svg?style=shield&circle-token=8dfd03c6c2a5dc5555e2f1a84c36e33bc58ad0aa
[circleci]: https://circleci.com/gh/servian/TechTestApp
[release-badge]: http://img.shields.io/github/release/servian/TechTestApp/all.svg?style=flat
[release]:https://github.com/Servian/TechTestApp/releases
[report-badge]: https://goreportcard.com/badge/github.com/Servian/TechTestApp
[report]: https://goreportcard.com/report/github.com/Servian/TechTestApp
[license-badge]: https://img.shields.io/github/license/Servian/TechTestApp.svg?style=flat
[license]: https://github.com/Servian/TechTestApp/license

## Overview

This is the Servian techtest application, it is used as a simple application to help meassure a candidates technical capability and fit with Servian. The application itself is a simple GTD Golang application that is backed by a Postgres database.

The technical test Servian sends out to potential candidates is focused on deploying this application into a cloud envirment of choice.

More details about the application can be found in the [document folder](doc/readme.md)

## Taking the test

For more information about taking the test and joining Servians's amazing team, please head over to our [recruitment page](https://www.servian.com/careers/) and apply there. Our recruitment team will reach out to you about the details of the test and be able to answer any questions you have about Servian or the test itself.

Information about the assessment is available in the [assessment.md file](ASSESSMENT.md)

## Found an issue?

If you've found an issue with the application, the documentation, or anything else, we are happy to take contributions. Please raise an issue in the [github repository](https://github.com/Servian/TechTestApp/issues) and read through the contribution rules found the [CONTRIBUTING.md](CONTRIBUTING.md) file for the details.
